/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：平台组件库
*
* createdate:  2022-08-29 10:13:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "平台组件库")
public class CpComponentLibraryAddDto implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty("主键id")
    private String id;
    /**
     * 文件保存路径
     */
    @ApiModelProperty("文件上传路径")
    @Size(min = 1,message = "文件上传路径不能为空")
    private String filePath;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    @Size(min = 1,message = "文件名不能为空")
    private String fileName;


    /**
     * 当前版本
     */
    @ApiModelProperty("当前组件库版本号")
    private String nowVersion;
    /**
     * 更新版本
     */
    @ApiModelProperty("更新组件库版本号")
    private String updateVersion;

    /**
     * 组件库库名
     */
    @ApiModelProperty("组件库库名")
    private String LibraryName;

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNowVersion() {
        return nowVersion;
    }

    public void setNowVersion(String nowVersion) {
        this.nowVersion = nowVersion;
    }

    public String getUpdateVersion() {
        return updateVersion;
    }

    public void setUpdateVersion(String updateVersion) {
        this.updateVersion = updateVersion;
    }

    public String getLibraryName() {
        return LibraryName;
    }

    public void setLibraryName(String libraryName) {
        LibraryName = libraryName;
    }
}